package com.ruoyi.excel.wecom.service;

import com.ruoyi.excel.wecom.domain.CorpInfo;

import java.util.List;

/**
 * 企业信息Service接口
 */
public interface ICorpInfoService {

    /**
     * 查询企业信息列表
     *
     * @param corpInfo 企业信息
     * @return 企业信息集合
     */
    List<CorpInfo> selectCorpInfoList(CorpInfo corpInfo);

    /**
     * 根据企业ID查询企业信息
     *
     * @param corpId 企业ID
     * @return 企业信息
     */
    CorpInfo selectCorpInfoByCorpId(String corpId);

    /**
     * 根据ID查询企业信息
     *
     * @param id 主键ID
     * @return 企业信息
     */
    CorpInfo selectCorpInfoById(Long id);

    /**
     * 新增企业信息
     *
     * @param corpInfo 企业信息
     * @return 结果
     */
    int insertCorpInfo(CorpInfo corpInfo);

    /**
     * 修改企业信息
     *
     * @param corpInfo 企业信息
     * @return 结果
     */
    int updateCorpInfo(CorpInfo corpInfo);

    /**
     * 批量删除企业信息
     *
     * @param ids 需要删除的企业信息主键集合
     * @return 结果
     */
    int deleteCorpInfoByIds(Long[] ids);

    /**
     * 删除企业信息
     *
     * @param id 企业信息主键
     * @return 结果
     */
    int deleteCorpInfoById(Long id);
}
